Bug 1994457 - Bump to latest available 1.21.4 k8s
Summary: Bump to latest available 1.21.4 k8s
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.z
Assignee: Dhriti Shikhar
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On: 1986003
Blocks: 2003027
TreeView+ depends on / blocked
 
Reported: 2021-08-17 10:31 UTC by Dhriti Shikhar
Modified: 2021-10-20 06:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
This fix contains the following changes coming from updated version of kubernetes up to v1.21.4: Changelog for v1.21.4: https://github.com/kubernetes/kubernetes/blob/release-1.21/CHANGELOG/CHANGELOG-1.21.md#changelog-since-v1213 Changelog for v1.21.3: https://github.com/kubernetes/kubernetes/blob/release-1.21/CHANGELOG/CHANGELOG-1.21.md#changelog-since-v1212 Changelog for v1.21.2: https://github.com/kubernetes/kubernetes/blob/release-1.21/CHANGELOG/CHANGELOG-1.21.md#changelog-since-v1211
Clone Of:
Environment:
Last Closed: 2021-09-27 19:53:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 888 0 None None None 2021-09-09 10:13:55 UTC
Red Hat Product Errata RHBA-2021:3632 0 None None None 2021-09-27 19:53:38 UTC

Description Dhriti Shikhar 2021-08-17 10:31:22 UTC
Description of problem:

286709307da (tag: v1.21.2-rc.0) Release commit for Kubernetes v1.21.2-rc.0
14df10f60bb Update CHANGELOG/CHANGELOG-1.21.md for v1.21.1
b047b4c23ad Make watch order conformance test reliable
f204fd30d0d Ref counting is only applicable to Remote endpoints
91ce2b1f7f1 Azure: avoid setting cached Sku when updating VMSS and VMSS instances
cd34e81abae fix: delete non existing disk issue
dc12c607582 kubelet: reuse manager
578d22ab644 pkg/kubelet/nodeshutdown/systemd: fix for dbus 5.0.4
5eea5478ae4 vendor: bump runc to rc95
37d50b825dd Set cgroups via opencontainer
f283c607428 Fix expired unit test certs
02e92912478 Remove unnecessary quotes from get-kube scripts
6732b634957 Respect annotation size limit for SSA last-applied.
8717fcf8bec Upgrade konnectivity-client for GRPC connection fixes
d2e8584ff19 Update debian-iptables to buster-v1.6.1
72600375068 Update debian-base to buster-v1.7.0
98e8c648fe5 Update etcd image revision
d5c699de51d kubeadm: remove e2e test for ClusterStatus
c3d8507df1b Update setcap to buster-v2.0.1 and add setcap to dependencies.yaml
539bb658531 fix error of setting negative value for containerLogMaxSize
438f0d695c2 Fix VolumeAttachment garbage collection for migrated PVs
ae40fd73208 (scheduler e2e) Create balanced pods in parallel
38a41e15576 use subpath for coredns only for default repository
19e8f2bab0c Return UnschedulableAndUnresolvable instead of Error when failing to lookup pvc or storageclass in VolumeZone plugin
a62c5dc20a2 Return UnschedulableAndUnresolvable when looking up volume-related resources returns NotFound error
b0daa8fa4ea serviceOwnsFrontendIP shouldn't report error when the public IP doesn't match
46b90a00e5d Fix closing of decorated watcher channel on timeout
154a5538a5c Revert "Cleanup portforward streams after their usage"
4977a4c2085 sched: fix a bug that a preemptor pod exists as a phantom
99b213bba67 endpointslicemirroring controller mirror address status
4033f7a5691 feat: remove ephemeral-storage etcd requirement
ddf5532facb Update to go1.16.5
ef0beb2cf70 client-go: reduce log level of reflector again
2cf51ac8b12 Remove error wrap from logs
f7e8a1ec257 strip prefix 'v' in coredns version if exists
092fbfbf534 (tag: v1.21.2) Release commit for Kubernetes v1.21.2
ad0c897c883 (tag: v1.21.3-rc.0) Release commit for Kubernetes v1.21.3-rc.0
3aeb38302e5 Update CHANGELOG/CHANGELOG-1.21.md for v1.21.2
9eac5b50dda Do not throw error when we can't get canonical path
22d66e792d7 fix: cleanup outdated routes
afa278757d2 fix: Refresh VM cache when node is not found
2cb3e1de2e5 Fix Node Resources plugins score when there are pods with no requests
2fdb62fcdf8 Fix frameworkImpl.extenders being not set
3e12efadd4e Fix race in attachdetach tests
6effb43f755 Loadbalancer IngressIP policy should be configured as non-DSR to enable routing mesh by default
318677cc93e generate scheduler merge patches on the pod status instead of the full pod
44d4c4fe69f Bump SMD to v4.1.2 to pick up #102749 fix
aac1ab5152b Remove extra zone test
e07463492f5 wait for endpoints to be available
a47bc4e390a fix: return empty VMAS name if using standalone VM
d4da53771f4 Simplify use of the fake dynamic client
73bbff81403 Update to go1.16.6
60ebb8b667a Update debian-base image to buster-v1.8.0
2d6dd4e284e Update debian-iptables image to buster-v1.6.5
0ce3bf060e2 Update setcap image to buster-v2.0.3
8ceaecb07d4 Fix the code is leaking the defaulting between unrelated pod instances
8853e418c10 Updated to use konnectivity client v0.0.21, and implemented placeholder context
131ff61bf1 move upgrade test frameworks closer to Describe
ca643a4d1f7 (tag: v1.21.3) Release commit for Kubernetes v1.21.3
ff7c569f157 (tag: v1.21.4-rc.0) Release commit for Kubernetes v1.21.4-rc.0
1c29b7706e7 Update CHANGELOG/CHANGELOG-1.21.md for v1.21.3
01da25eaef1 Fix panic in master upgrade tests
41d51d2daf6 kubelet: do not call RemoveAll on volumes directory for orphaned pods
e62a8123296 update comments and owners file for pkg/util/removeall
a7a15f4d851 storage e2e: automate hostpath YAML updates, hostpath v1.6.2
d2fa4479bc8 storage e2e: disable health check containers
a9543fbfdfe storage e2e: downgrade hostpath driver
38ec624c919 storage e2e: patch in RBAC rules for secrets
5b5655c48d7 Update pd csi driver images to use v1 images (CSINode, CSIDriver, etc)
c6304d0287c disable aufs module
3ab6a85abe7 Make CSR cleaner tolerate objects with invalid status.certificate
21836789d33 Update to using apiserver-network-proxy v1.22
4f462a0f6d9 feat: Provide IPv6 support for internal load balancer
0ac9e77a292 Fix: ignore not a VMSS error for VMAS nodes in reconcileBackendPools
c37bf8c3cf1 Fix disruptive subPath test failures
961a35ed44d Update configure-helper.sh
88f2a255530 Update configure-helper.sh
caac1b7fcf8 Update configure-helper.sh
77dcc9b53c7 Fix metrics reporting for the deprecated watch path
3ab23b9f198 Update to go1.16.7
98d37747d8f Avoid spurious calls to update/delete validation
3cce4a82b44 (tag: v1.21.4) Release commit for Kubernetes v1.21.4

Comment 7 Ke Wang 2021-09-18 07:03:37 UTC
Verification steps:
Installed latest OCP 4.8.z payload, checked the kube-apiserver operator, 

$ oc get pod -n openshift-kube-apiserver-operator kube-apiserver-operator-b4cf7bf77-2zbwk -oyaml
...
env:
    - name: IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:2b04201132f2b519ba7ac39eaab5da9fa97b56598a84062ce59adc4b1073d2f0
    - name: OPERATOR_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:66fa2d7a5b2be88b76b5a8fa6f330bc64b57ce0fa9b8ea29e96a4c77df90f7cd
    - name: OPERAND_IMAGE_VERSION
      value: 1.21.4
    - name: OPERATOR_IMAGE_VERSION
      value: 4.8.0-0.nightly-2021-09-17-214908

$ oc describe co/kube-apiserver | grep -A6 'Versions:'
  Versions:
    Name:     raw-internal
    Version:  4.8.0-0.nightly-2021-09-17-214908
    Name:     kube-apiserver
    Version:  1.21.4
    Name:     operator
    Version:  4.8.0-0.nightly-2021-09-17-214908

We can see the kube-apiserver has been updated to 1.21.4, so move the bug VERIFIED.

Comment 10 errata-xmlrpc 2021-09-27 19:53:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.13 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3632


Note You need to log in before you can comment on or make changes to this bug.